IBM Data & AI

 Welcome to the IBM Data & AI Ideas Portal for Clients! 

We welcome and appreciate your feedback on IBM Data & AI Products to help make them even better than they are today!
Before you submit an idea, please perform a search first as a similar idea may have already been reported in the portal.  If a related idea is not yet listed, please create a new idea and include with it a description which includes expected behavior as well as why having this feature would improve the service and how it would address your use case.
IBM Employees:
Clients:
  • Our team welcomes any feedback  and suggestions you have for improving our offerings / products!  This forum allows us to connect your offering / product improvement ideas with IBM product and engineering teams.
  • If you have not registered on this portal please click on the following link and register.  To complete registration you will need to open the email you will receive from Aha to confirm your identity. http://ibm.biz/IBM-Data-and-AI-Portal-Register
Additional Information:
  • The shorter URL for this site is: https://ibm.biz/IBM-Data-and-AI-Ideas
  • To view our roadmaps: http://ibm.biz/Data-and-AI-Roadmaps
  • Reminder: This is not the place to submit defects or support needs, please use normal support channel for these cases
  • Please do not use the Ideas Portal for reporting bugs - we ask that you report bugs or issues with the product by contacting IBM support.

Provide .NET Standard 2.1 compliant nuget for use with Entity Framework 6.4+

Support,

We currently are converting our applications to .NET Core.

Microsoft provided a .NET Standard 2.1 compatible version of EF starting with EF 6.3 and continuing with EF 6.4.

The issue however is we are having issues getting your latest EF 6 driver (6.1.1 available from passport advantage site only).

It seems that your 6.1.1 driver is not .NET Standard 2.1 compatible.

We really need your EF 6.1.1 nuget package to be updated for .NET Standard 2.1 so that we can use it in .NET Core applications.

Perhaps there is a way to get it working now?

I have included a sample .NET Core application I am attempting to get working but get this message:

'The store type 'integer' could not be found in the SqlServer provider manifest'

Attached is the sample application I am attempting to get working.

 

See Case # TS003120433 for more details.

  • Matt Olson
  • Dec 12 2019
  • Needs review
Why is it useful?
Who would benefit from this IDEA? Every .NET developer
How should it work?

Your EF 6 driver should provide a .NET Standard 2.1 compatible EF Driver for use in .NET Core applications.

 

Microsoft has provided a roadmap to upgrade legacy applications (for which there are many) that are using EF 6 by giving them the exact same version of EF that was used in full framework applications but give them the ability to port it to .NET Core with minimal effort.

 

We just need IBM to provide a compatible EF 6 driver that supports EF 6.4+ and is .NET Standard 2.1 compliant.

Idea Priority High
Priority Justification .NET Full framework is nearing end of life. We need to start converting our applications to a supported .NET COre
Customer Name American Registry of Radiologic Technologists
Submitting Organization
Submitter Tags
  • Attach files
  • Matt Olson commented
    December 12, 2019 15:25

    Sorry, I created a duplicate. This is also covered under this request: https://ibm-data-and-ai.ideas.aha.io/ideas/DB2CON-I-48

  • Peter Czurak commented
    08 Jan 20:03

    Yes, Please. I do not understand why IBM is not supporting .NET Core 3.x - It runs on Linux.

    IBM has .NET Core 2.2 DB2 EF, but it does not work with .NET Core 3.x and I would like to run my .NET apps on Linux. Microsoft's recommendation is to develop new applications in .NET Core 3.x, but you can't if you are using DB2 as the backend.

  • Peter Czurak commented
    09 Jan 12:51

    From the answers, I am getting nobody has any idea about the status of .NET Core 3.x DB2 EF client, which worries me because it takes IBM years to update anything for .NET.  And .NET Core 2.2 is not supported anymore and there is no DB2 .NET client for .NET 3.1 so we are stuck with .NET 2.2 and developing applications for .NET Core 2.2 or .NET 4.8 or going to Java, maybe that's what IBM wants.

NOTICE TO EU RESIDENTS: per EU Data Protection Policy, if you wish to remove your personal information from the IBM ideas portal, please login to the ideas portal using your previously registered information then change your email to "anonymous@euprivacy.out" and first name to "anonymous" and last name to "anonymous". This will ensure that IBM will not send any emails to you about all idea submissions